import std.stdio;

void main()
{
    auto array = [0, 2, 4, 6, 8, 10];
    array = array[0 .. $ - 2];
    // Су­же­ние спра­ва на два эле­мен­та
    assert(array == [0, 2, 4, 6]);
    array = array[1 .. $];
    // Су­же­ние сле­ва на один эле­мент
    assert(array == [2, 4, 6]);
    array = array[1 .. $ - 1];
    // Су­же­ние с обе­их сто­рон
    assert(array == [4]);
}
